%if 0%{?suse_version}
%define daemon_group www
%define daemon_user  wwwrun
%define htmlbase /srv/www
%define htmlroot %{htmlbase}/htdocs
%define httpconfdir apache2/conf.d
%define apacheservice apache2
%define cronservice cron
%else
%define daemon_group apache
%define daemon_user  apache
%define htmlbase /var/www
%define htmlroot %{htmlbase}/html
%define httpconfdir httpd/conf.d
%define apacheservice httpd
%define cronservice crond
%endif


Summary: A portal page providing information of installed op5 products.
Name: portal
Version: %{op5version}
Release: %{op5release}%{?dist}
Group: op5/system-addons
License: op5 Immaterial Rights License
Prefix: %{htmlroot}
Source: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: op5config
Requires: php-op5lib
Requires: op5license >= 1.3.0
Requires: op5-monitor-supported-webserver
%if 0%{?suse_version}
BuildRequires: cron
Requires: cron, php53
%else
%if 0%{?rhel} > 5
BuildRequires: cronie
Requires: cronie
%else
BuildRequires: vixie-cron
Requires: vixie-cron
%endif
Requires: php
%endif


%description
Portal is the first page that you see when accessing an op5 System with
a web browser. Portal contains info about installed products, versions
and contact info to op5 Support.

%package test
Summary: Test files for portal
Group: op5/system-addons
Requires: portal = %version
Requires: rubygem(op5cucumber)
Requires: op5-httpd

# only to make the cucumber test case not b0rk, we really don't need mysql
# for portal, yes shoot me, this is stupid, but i need to fix this before
# i fix cucumber step to be smart.
Requires: op5-mysql


%description test
Test files for portal

%prep
%setup -q
%if 0%{?suse_version}
find -type f -exec %{__sed} '{}' -i -e 's#var/www/html#srv/www/htdocs#g'  \;
find -type f -exec %{__sed} '{}' -i -e 's#var/www#srv/www#g'  \;
%endif

%install
rm -rf %buildroot

mkdir -p -m 750 %buildroot%prefix

install -m 644 *.php %buildroot%prefix

# images
mkdir -p -m 750 %buildroot/%{htmlbase}/media
install -m 644 media/* %buildroot/%{htmlbase}/media

mkdir -p -m 755 %buildroot/%prefix/portal
cp -a css %buildroot/%prefix/portal/
cp -a images %buildroot/%prefix/portal/
cp -a js %buildroot/%prefix/portal/
cp -a views %buildroot/%prefix/portal/

mkdir -p -m 755 %buildroot%prefix/logs/

# apache config file
mkdir -p -m 750 %buildroot/etc/%{httpconfdir}
install -m 644 httpd-portal.conf %buildroot/etc/%{httpconfdir}

cp -R features %buildroot/%{prefix}/features

%post
/etc/init.d/%{apacheservice} reload || :
/etc/init.d/%{cronservice} reload || :

%files
%defattr(-,root,%daemon_group)
%prefix/portal
%prefix/*.php
%{htmlbase}/media
%attr(644, root, root) /etc/%{httpconfdir}/httpd-portal.conf
%exclude %prefix/features

%files test
%defattr(664,root,%daemon_group,755)
%prefix/features


%clean
rm -rf %buildroot

%changelog
* Thu May 03 2007 Peter Ostlin <peter@op5.se>
- changing to group apache to comply with centos
* Thu Dec 28 2006 Johannes Dagemark <jd@op5.se> 1.2.2-op5.2
- added favicon.ico
- moved media to /var/www/media
* Fri Jul 21 2006 Johannes Dagemark <jd@op5.se 1.2-op5.1
- updated to 1.2-op5.1
- support for monitor, statistics and logserver
- new logos and design
* Mon May 23 2005 Peter Ostlin <peter@op5.se> 1.0-op5.1
- First working version.
